ru.bitel.common.model

## Class DefaultTreeNode.Root

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.common.model.DefaultTreeNode
      - - ru.bitel.common.model.DefaultTreeNode.Root

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem, TreeNode<DefaultTreeNode>
  Enclosing class:
    DefaultTreeNode

      public static final class DefaultTreeNode.Root
      extends DefaultTreeNode

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.model.DefaultTreeNode

      `DefaultTreeNode.Root`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Root(java.lang.String title, java.util.List<? extends DefaultTreeNode> children)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<DefaultTreeNode>` | `getChildren()`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### Root

          public Root(java.lang.String title,
                      java.util.List<? extends DefaultTreeNode> children)

  - ### Method Detail

    - #### getChildren

          public java.util.List<DefaultTreeNode> getChildren()

      Specified by:
        `getChildren` in interface `TreeNode<DefaultTreeNode>`
      Overrides:
        `getChildren` in class `DefaultTreeNode`